# Class TableColumnMenuComponent

#### Implements

- AfterContentInit

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:39

#####
Index

### Constructors

constructor

### Properties

_inline
_matCardMode
columns?
displayColumns

### Accessors

inline
matCard
visibleColumns

### Methods

activate
deactivate
ngAfterContentInit
updateDisplayColumns

## Constructors

### constructor

- new TableColumnMenuComponent(): TableColumnMenuComponent

- #### Returns TableColumnMenuComponent

## Properties

### `Private` _inline

_inline: boolean = false

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:51

### `Private` _matCardMode

_matCardMode: boolean = false

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:72

### `Optional` columns

columns?: QueryList<TableColumnOptionComponent>

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:46

### displayColumns

displayColumns: string[] = []

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:48

## Accessors

### inline

- get inline(): boolean | ""

- #### Returns boolean | ""

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:53
- set inline(value): void

- true - the menu is displayed inline and not absolute

  #### Parameters

  - value: boolean | ""

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:62

### matCard

- set matCard(value): void

- #### Parameters

  - value: boolean | ""

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:67

### visibleColumns

- get visibleColumns(): TableColumnOptionComponent[]

- #### Returns TableColumnOptionComponent[]

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:41

## Methods

### activate

- activate(columnName): void

- #### Parameters

  - columnName: string

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:89

### deactivate

- deactivate(columnName): void

- #### Parameters

  - columnName: string

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:96

### ngAfterContentInit

- ngAfterContentInit(): void

- #### Returns void

  Implementation of AfterContentInit.ngAfterContentInit

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:74

### updateDisplayColumns

- updateDisplayColumns(): void

- #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:78